Please upgrade firmware-addon-dell to 2.2.9 version

Bug #414247 reported by Artur Rona on 2009-08-15
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
firmware-addon-dell (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: firmware-addon-dell

Version 2.1.0 is out-of-date.

Artur Rona (ari-tczew) on 2009-08-15
tags: added: upgrade
Daniel Baumann (dnjl) wrote :

I've built the version 2.2.1. This will also need python-smbios >=2.2.19. Both you will find in my ppa https://launchpad.net/~dnjl/+archive/ppa.

hf!

Daniel Baumann (dnjl) wrote :

uups, python-libsmbios not python-smbios is needed...

Artur Rona (ari-tczew) wrote :

Daniel, could you prepare a package ready for upload?

Daniel Baumann (dnjl) wrote :

Arthur, you will find it already in my Main PPA: https://launchpad.net/~dnjl/+archive/ppa
Atm, I've built it only for karmic. Do you need support for other distributions?

Artur Rona (ari-tczew) wrote :

It would be nice if you'll prepare package for lucid. We are current in development cycle. If you can do this, I'll own this based on your package.

Artur Rona (ari-tczew) wrote :

s/you can/you can't

Daniel Baumann (dnjl) wrote :

well, I will do so today/the next days...

Artur Rona (ari-tczew) wrote :
tags: added: patch
Stephan Ruegamer (sadig) wrote :

moins,

doesn't build...

last lines of buildlog:

Found files in /usr/lib/python2.6/site-packages (must be in dist-packages for python2.6).
debian/firmware-addon-dell/usr/lib/python2.6/site-packages
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/biosHdr.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios_blacklist.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios_blacklist.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios_blacklist.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_common.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/biosHdr.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/__init__.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/HelperXml.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/__init__.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/biosHdr.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_common.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/dellbios.pyo
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/HelperXml.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/HelperXml.py
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_bios.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/extract_common.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/__init__.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/dellbios.pyc
debian/firmware-addon-dell/usr/lib/python2.6/site-packages/firmware_addon_dell/dellbios.py
dh_builddeb: dpkg-deb --build debian/firmware-addon-dell .. returned exit code 1
make: *** [binary-makedeb-IMPL/firmware-addon-dell] Error 9
dpkg-buildpackage: error: /usr/bin/fakeroot debian/rules binary gave error exit status 2
******************************************************************************
Build finished at 20100217-2141
FAILED [dpkg-buildpackage died]
------------------------------------------------------------------------------

Daniel Baumann (dnjl) wrote :

Hi,
I think this will require a newer smbios version.
So I've build successful a new libsmbios (2.2.19-0ubuntu1) and a new firmware-addon-dell (2.2.1-0ubuntu2).
Both builds will you find there: https://launchpad.net/~dnjl/+archive/build
I will also attach them...

Daniel Baumann (dnjl) wrote :

@Artur Rona: What I have to do "to prepare" this for lucid? Is this enough?

Ilya Barygin (randomaction) wrote :

We are past the Feature Freeze now, so these uploads will need a freeze exception: https://wiki.ubuntu.com/FreezeExceptionProcess. I'm unsubscribing ubuntu-universe-sponsors for now, please resubscribe when the exception has been granted.

Artur Rona (ari-tczew) on 2010-06-01
Changed in firmware-addon-dell (Ubuntu):
assignee: nobody → Artur Rona (ari-tczew)
status: New → In Progress
Bhavani Shankar (bhavi) wrote :

Hello Artur and others,

Reg the mail I mailed you,The package ftb'd due to python 2.6 transition and it can be circumvented by just a rebuild with bumped up pyversions so that the package references to dist-packages and makes the package build

The other diffs follows

Regards

Bhavani Shankar (bhavi) wrote :

the diffs are as follows below for reviewers reference

regards

Bhavani Shankar (bhavi) wrote :
Bhavani Shankar (bhavi) wrote :
Changed in firmware-addon-dell (Ubuntu):
status: In Progress → Confirmed
summary: - Please upgrade firmware-addon-dell to 2.2.1 version
+ Please upgrade firmware-addon-dell to 2.2.9 version

Hello,

I think that you based on my proposed patch (source package). Could you
add information to debian/changelog what changes are done by me?

  [ Artur Rona ]
  * debian/pyversions: Replace "2.2-" with "2.6-"
  * Bump Standards-Version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format.

PS. I didn't test your packages Bhavani, but I think that you didn't all
which is needed. My proposed patch needs update libsmbios.

On śro, 2010-07-07 at 19:03 +0530, Bhavani Shankar R wrote:
> Hello
>
> I have worked on firmwire-addon-dell package and have fixed FTBFS in
> that package and if you donot have any objections I ll submit the
> patches
>
> Regards
>

Bhavani Shankar (bhavi) wrote :

Hello artur,

I think daniel updated libsmbios in his ppa due to the ftb by forcing a rebuild on the new upstream version on his ppa and libsmbios-bin dependency is picked up automatically from maverick repos which is sufficient to make the package work I think and I ll surely add your changes in the log

Regards

Artur Rona (ari-tczew) on 2010-07-08
Changed in firmware-addon-dell (Ubuntu):
assignee: Artur Rona (ari-tczew) → nobody
Artur Rona (ari-tczew) wrote :

Hmmm, what about changes done by Daniel Baumann?
- - Build-Depends on python-libsmbios and libsmbios-dev (>= 2.2.19),
      python-support (>= 0.5.3)

Could you take a look on bug #200956?

Changed in firmware-addon-dell (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
importance: Undecided → Wishlist
status: Confirmed → In Progress
Bhavani Shankar (bhavi) wrote :

hello artur

the package depends on firmware-tools

Source: firmware-addon-dell
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <email address hidden>
XSBC-Original-Maintainer: Michael Brown <email address hidden>
Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49)
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.9.0
Homepage: http://linux.dell.com/firmware-tools

Package: firmware-addon-dell
Architecture: all
Depends: ${python:Depends}, smbios-utils | libsmbios-bin, ${misc:Depends}
Python-Depends: firmware-tools (>= 1.2)
Provides: ${python:Provides}
Description: A firmware-tools plugin to handle BIOS/Firmware for Dell systems
 The firmware-addon-dell package provides plugins to firmware-tools which enable
 BIOS updates for Dell system, plus pulls in standard inventory modules
 applicable to most Dell systems.

regards

Stefano Rivera (stefanor) wrote :

Bhavani: no it doesn't because it never calls dh_pysupport, and so Python-Depends (which is deprecated, btw) never gets used. I'm working on a fix for that (and other issues).

okay stefano!

regards

On Sat, Jul 10, 2010 at 10:16 PM, Stefano Rivera
<email address hidden> wrote:
> Bhavani: no it doesn't because it never calls dh_pysupport, and so
> Python-Depends (which is deprecated, btw) never gets used. I'm working
> on a fix for that (and other issues).
>
> --
> Please upgrade firmware-addon-dell to 2.2.9 version
> https://bugs.launchpad.net/bugs/414247
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “firmware-addon-dell” package in Ubuntu: In Progress
>
> Bug description:
> Binary package hint: firmware-addon-dell
>
> Version 2.1.0 is out-of-date.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/firmware-addon-dell/+bug/414247/+subscribe
>

--
Bhavani Shankar.R
https://launchpad.net/~bhavi, a proud ubuntu community  member.
What matters in life is application of mind!,
It makes great sense to have some common sense..!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firmware-addon-dell - 2.2.9-0ubuntu1

---------------
firmware-addon-dell (2.2.9-0ubuntu1) maverick; urgency=low

  [ Bhavani Shankar ]
  * New upstream release LP: #414247
  * debian/control:
    - Bump up Standards-Version to 3.9.0
      + remove linda override file
    - Remove Homepage link from package description
    - Bump up debhelper dependency to >= 5.0.38 as per policy
    - Add ${misc:Depends} macro to Depends field
  * debian/rules:
    - No longer install the linda override file we removed.
    - Remove get-orig-source, we are using releases again.
  * Remove debian/install file and doc/debian.in directory as it
    is used for building firmware packages, not installing them.

  [ Artur Rona ]
  * Switch to dpkg-source 3.0 (quilt) format.

  [ Stefano Rivera ]
  * Remove debian/pycompat, unnecessary.
  * debian/rules:
    - Removed remaining get-orig-source support code.
    - Switched from autotools.mk to python-autotools.mk (LP: #602496)
  * debian/control:
    - Moved firmware-tools dependency from Python-Depends to Depends
      (LP: #200956)
    - Bumped cdbs build dependency to 0.4.72 for python-autotools.mk
  * Added README.Debian
 -- Bhavani Shankar <email address hidden> Thu, 08 Jul 2010 09:54:19 +0530

Changed in firmware-addon-dell (Ubuntu):
status: In Progress → Fix Released
Changed in firmware-addon-dell (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers